Ticket #40487

ファイル選択ダイアログを閉じた後、MDI親Windowの内側が再描画されない

Open Date: 2020-06-16 12:50 Last Update: 2020-06-18 21:27

Reporter:
(Anonymous)
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

ver 2.16.6.7

[ファイルまたはフォルダーの選択...] ダイアログを自動で閉じる設定にした場合に、ダイアログの残骸が表示されたままになります。
2.16.4.9 では再現しないようです。

  • 設定で「[OK] 押下時に [ファイルまたはフォルダーの選択] ダイアログを閉じる」を有効にしておく
  • ファイルを選択してダイアログが自動で閉じられた後、MDI親Windowの内側領域が描画クリアされず、ダイアログの残骸が表示されたまま

Ticket History (3/5 Histories)

2020-06-16 12:50 Updated by: None
  • New Ticket "ファイル選択ダイアログを閉じた後、MDI親Windowの内側が再描画されない" created
2020-06-16 21:18 Updated by: sdottaka
Comment

ご連絡ありがとうございます。 こちらでも再現できました。次のバージョンで修正したいと思います。 なお、MDI 子ウインドウを最大化しない場合にのみ発生すると考えてよろしいでしょうか?

2020-06-17 08:26 Updated by: None
Comment

なお、MDI 子ウインドウを最大化しない場合にのみ発生すると考えてよろしいでしょうか?

子ウィンドウが最大だと再現しないです。

2020-06-17 21:11 Updated by: sdottaka
Comment

子ウィンドウが最大だと再現しないです。

ご回答ありがとうございます。

2020-06-18 21:27 Updated by: sdottaka
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

修正を行いプレリリース版をアップロードしております。

https://osdn.net/projects/winmerge-jp/releases/73184

(Edited, 2020-06-18 21:32 Updated by: sdottaka)

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login